﻿using System;
using EasierUnitTestingSampleCode;
using NUnit.Framework;

namespace NUnitTestSamples
{
	[TestFixture]
	public class Test1
	{
		[Test]
		public void Capitalize_Throws_Exception_When_Argument_Is_Null()
		{
			var component = new SampleComponent();

			Assert.Throws<ArgumentNullException>(
				() => component.CapitalizeThis(null)
				);
		}

		[Test]
		public void Validate_GetEvens()
		{
			var sample = new SampleComponent();
			var evens = sample.GetEvens(12, 4);

			Assert.AreEqual(12, evens[0]);
			Assert.AreEqual(14, evens[1]);
			Assert.AreEqual(16, evens[2]);
			Assert.AreEqual(18, evens[3]);
		}

		[Test]
		public void Validate_GetEvens2()
		{
			var sample = new SampleComponent();
			var evens = sample.GetEvens(12, 4);

			CollectionAssert.AreEqual(new[] { 12, 14, 16, 18 }, evens);
		}
	}
}
